Subject: bug#69171: Moving packages out of core to ELPA

From: JD Smith <[email-masked]>
Date: Sat, 27 Apr 2024 15:42:18 -0400

> On Apr 11, 2024, at 2:44 PM, Stefan Monnier <[email-masked]> wrote:
> 
>> Believe it or not I am *still* waiting on our license server upgrade to be
>> finalized (a particular joy of network license software is when they change
>> vendors and your IT people have to open new ports).
> 
> Ah!  The perks of proprietary software!
> No hurry on my end,

Our license issues have been sorted out and I've been able to test the idlw-shell capabilities of the emacs-upstream-merge branch.  I had to make a few small tweaks to the help system, as often happens with new IDL releases, but the (funky old) completion and other features continue to work pretty well.  I merged the branch to master and mentioned ELPA in the README.

One question I had is what happens to the texinfo manual for ELPA packages, and if they need any special treatment to get installed.  I am also not 100% sure this will load correctly as a package given the file re-org I did some time back; I've been testing it using a use-package :load-path and that works, but nothing like a real test of the live package.  Can always give it a try after it lands on ELPA and make any changes needed.

Other than that, and any pending suggestions or concerns you had, I think I'm ready to flip the ELPA switch.

Thanks for your work on this.